org.h2.mvstore.db

## Class LobStorageMap.BlobReference

- java.lang.Object
- - org.h2.mvstore.db.LobStorageMap.BlobReference

All Implemented Interfaces:
  java.lang.Comparable<LobStorageMap.BlobReference>

Enclosing class:
  LobStorageMap

    public static final class LobStorageMap.BlobReference
    extends java.lang.Object
    implements java.lang.Comparable<LobStorageMap.BlobReference>

### Nested Class Summary

Nested Classes
`static class` `LobStorageMap.BlobReference.Type`

### Field Summary

Fields
`long` `lobId`
`byte[]` `streamStoreId`

### Constructor Summary

Constructors
Constructor and Description
`BlobReference(byte[] streamStoreId, long lobId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(LobStorageMap.BlobReference other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### streamStoreId

    public final byte[] streamStoreId

#### lobId

    public final long lobId

### Constructor Detail

#### BlobReference

    public BlobReference(byte[] streamStoreId,
                         long lobId)

### Method Detail

#### compareTo

    public int compareTo(LobStorageMap.BlobReference other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<LobStorageMap.BlobReference>`